Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2005 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.netuix.application.view
Interface PlaceableView

All Superinterfaces:
  ChildView, Serializable, View

All Known Subinterfaces:
  BookView, PortletView

public interface PlaceableView
extends ChildView

"Views" are deep copy immutable objects. Unlike "Definitions" and "Instances" Views cannot be modified by the developer. A Instance or a Definition however can always be obtained from the view. The persistence APIs provides course grain and fine grain getters but only fine grain setters. If you are interested in an object and all its children then retrieve the View, if you are only interested in the immediate object and don't care about its children then retrieve the Definition.

View class for a placeable, which is either a book or a portlet. In other words, Parent Pages can contain both child Portlets and child Books. Placeables is a term/interface used to represent either one of these. A placeable is an item on a pages that can be placed.

See Also:
  `View`

Method Summary
`String` | `getDefinitionLabel()` The unique definition label.
`String` | `getLabel()` The unique definition label.
`LocalizationResourceView` | `getLocalizationResourceView()` The Localization resource contains the localized title and description for this placeable.
`PlaceableDefinition` | `getPlaceableDefinition()` Retrieve the associated `PlaceableDefinition` from this Placeable View.
`PlaceableInstance` | `getPlaceableInstance()` Retrieve the associated `PlaceableInstance` from this Placeable View.
`PlaceholderDefinitionId` | `getPlaceholderDefinitionId()` Get the placeholderDefinitionId of the placeable.
`int` | `getPlaceholderPosition()` Get the placeholder position of the placeable.
`PlacementId` | `getPlacementId()` Getter for portlet's or book's placement id.

Methods inherited from interface com.bea.netuix.application.view.View
`getDescription, getTitle`

Method Detail

### getDefinitionLabel

    public String getDefinitionLabel()

  The unique definition label. For books this is defined in the .portal file for portlets this is defined in the .portlet file.

  Returns:
    a non null definition label.

### getLabel

    public String getLabel()

  The unique definition label. For books this is definition label and for portlets this is the instance label.

  Returns:
    a non null definition or instance label.

### getLocalizationResourceView

    public LocalizationResourceView getLocalizationResourceView()

  The Localization resource contains the localized title and description for this placeable.

  *

  Returns:
    a non null LocalizationResourceView customized per the request.

### getPlaceableDefinition

    public PlaceableDefinition getPlaceableDefinition()

  Retrieve the associated `PlaceableDefinition` from this Placeable View. Placeable Views are immutable but Placeable Definitions are not. Therefore it is often necessary to retrieve the definition from the view in order to update its values and then in turn call the persistence API. The Placeable Definition is constructed (in the database) either via API of disassembling a .portal file.

  Returns:
    a non null Placeable Definition

### getPlaceableInstance

    public PlaceableInstance getPlaceableInstance()

  Retrieve the associated `PlaceableInstance` from this Placeable View. Placeable Views are immutable but Placeable Instances and Placeable Definitions are not. Therefore it is often necessary to retrieve the instance from the view in order to update its values and then in turn call the persistence API.

  Returns:
    a non null Placeable Instance. The Placeable instance may be cast to either a BookInstance or a PortletInstance after checking `instanceof`.

### getPlaceholderDefinitionId

    public PlaceholderDefinitionId getPlaceholderDefinitionId()

  Get the placeholderDefinitionId of the placeable.

  Returns:
    an FK reference the PF_PLACEHOLDER primary key

### getPlaceholderPosition

    public int getPlaceholderPosition()

  Get the placeholder position of the placeable.

  Returns:
    an index into the list of placeables in a placeholder.

### getPlacementId

    public PlacementId getPlacementId()

  Getter for portlet's or book's placement id. The placement id represents a unique placement of a portlet or book on a page. Pages may contain Books just like they may contain Portlets. If this portlet is placed on a Page then this placement id represents the primary key value of the PF_PLACEMENT.PLACEMENT_ID value in the database. Note: If a book then this book may not be placed on a page as it may be placed on another book or be the main book of the desktop. Also, if this view was obtained directly and not from a parent view object then this value may also be null.

  Returns:
    the placement id if this portlet/book is placed on a page otherwise null.

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2005 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005 BEA Systems, Inc. All Rights Reserved